﻿#!/bin/sh
#
# $Date: 2009-02-17 11:22:13 +0100 (Tue, 17 Feb 2009) $
# $Author: pepca $
# $Rev: 857 $
#
# Updates all JaGrLib WWW data from SVN server:
# 1. svn export: complete source tree
# 3. unzip complete javadoc tree (from docs.zip)
# 6. create JaGrLib.tgz installation archive
#
# Usage: update.sh

P=/home/www/JaGrLib
JAGRLIB="svn://cgg.mff.cuni.cz/JaGrLib/trunk"

cd $P
date '+%d.%m.%y - %H:%M' >> www-update.err

echo =================
date '+%d.%m.%y - %H:%M'
echo -----------------
svn update

# 1. svn export: complete source tree
rm -rf cz
svn export --force -q $JAGRLIB/src/cz

# 3. unzip complete javadoc tree (from docs.zip)
if [ -f docs.zip ]; then
  rm -rf docs
  unzip -o docs.zip > /dev/null
fi

cd $P

# 6. create JaGrLib.tgz
rm -rf JaGrLib*
svn export --force -q $JAGRLIB JaGrLib
tar --owner nobody --group nogroup -czf JaGrLib.tgz JaGrLib/
rm -rf JaGrLib
